function drum1 

%DRUM1   One of the two model files, which solves the eigenvalues for two isospectral 
%   drums, i.e., two-dimensional domains with exactly the same set of eigenvalues. 
% 
%See also DRUM2. 

% Copyright 1994-2003 The MathWorks, Inc. 
% $Revision: 1.11.4.1 $   $Date: 2003/11/18 03:11:18 $

[pde_fig,ax]=pdeinit; 
pdetool('appl_cb',1); 
set(ax,'DataAspectRatio',[1 1 1]) 
set(ax,'PlotBoxAspectRatio',[1.5 1 1]) 
set(ax,'XLim',[-4.5 4.5]); 
set(ax,'YLim',[-3 3]); 
set(ax,'XTickMode','auto'); 
set(ax,'YTickMode','auto'); 

% Geometry description: 
% $Revision: 1.11.4.1 $ 
pdepoly([ -3,... 
 -3,... 
 -1,... 
 -1,... 
 1,... 
 3,... 
 1,... 
 1,... 
],... 
[ -1,... 
 -3,... 
 -3,... 
 -1,... 
 -1,... 
 1,... 
 1,... 
 3,... 
],... 
 'P1'); 
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','P1') 

% Boundary conditions: 
pdetool('changemode',0) 
pdesetbd(8,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(7,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(6,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(5,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(4,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(3,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(2,... 
'dir',... 
1,... 
'1',... 
'0') 
pdesetbd(1,... 
'dir',... 
1,... 
'1',... 
'0') 

% Mesh generation: 
setappdata(pde_fig,'Hgrad',1.3); 
setappdata(pde_fig,'refinemethod','regular'); 
pdetool('initmesh') 
pdetool('refine') 
pdetool('jiggle') 

% PDE coefficients: 
pdeseteq(4,... 
'1.0',... 
'0.0',... 
'10.0',... 
'1.0',... 
'0:10',... 
'0.0',... 
'0.0',... 
'[0 10]') 
setappdata(pde_fig,'currparam',... 
['1.0 ';... 
'0.0 ';... 
'10.0';... 
'1.0 ']) 

% Solve parameters: 
setappdata(pde_fig,'solveparam',... 
str2mat('0','1000','10','pdeadworst',... 
'0.5','longest','0','1E-4','','fixed','Inf')) 

% Plotflags and user data strings: 
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 7 1 0 0 0 1 1 1 0 0 0 1]); 
setappdata(pde_fig,'colstring',''); 
setappdata(pde_fig,'arrowstring',''); 
setappdata(pde_fig,'deformstring',''); 
setappdata(pde_fig,'heightstring',''); 

% Solve PDE: 
pdetool('solve')