function str = pdehelp
%PDEHELP Provide PDE Toolbox help text.

%   Magnus Ringh 8-20-96.
%   Copyright 1994-2001 The MathWorks, Inc.
%   $Revision: 1.7 $  $Date: 2001/11/13 15:09:45 $

str = sprintf(['PDE Toolbox help\n',...
'==============\n',...
'\n',...
'The Partial Differential Equation Toolbox is a MATLAB based collection of\n',...
'tools for solving Partial Differential Equations (PDEs) on a two-dimensional\n',...
'surface using the Finite Element Method (FEM).\n',...
'\n',...
'The 2-D surface can be drawn using four different types of solid objects:\n',...
'rectangles, ellipses, circles, and polygons.\n',...
'\n',...
'A brief overview of the major steps of a PDE Toolbox GUI (pdetool) session:\n',...
'\n',...
'1. Select the application mode that suits your application.\n',...
'\n',...
'2. Draw the 2-D area on which the PDE is to be solved and\n',...
'   edit the set formula that is used to evaluate the CSG model.\n',...
'\n',...
'3. Enter boundary mode, and double-click on boundaries to define\n',...
'   the boundary conditions.\n',...
'\n',...
'4. Click on the PDE button and enter the type of PDE and the PDE \n',...
'   coefficients (double-clicking on different subdomains in PDE mode\n',...
'   makes it possible to model a problem with regions of different material\n',...
'   properties).\n',...
'\n',...
'5. Initialize the triangular mesh. Refine or jiggle the mesh until\n',...
'   the mesh fits your problem (an adaptive solver is also available).\n',...
'\n',...
'6. Solve the PDE by pressing the = button. For elliptic PDEs, adaptive\n',...
'   and nonlinear solvers are available (select Parameters... from \n',...
'   the Solve menu). \n',...
'\n',...
'7. Post process the solution. From the Plot Selection dialog box, you can\n',...
'   select several different visualizations of the solution and properties\n',...
'   computed from the solution.\n',...
'\n',...
'8. You can go back to alter the geometry, PDE, and boundary conditions. Also,\n',...
'   the solution, the mesh, and the geometry, as well as the boundary\n',...
'   conditions and the PDE coefficients, can be exported to MATLAB''s main\n',...
'   workspace for further analysis.\n',...
'\n',...
'9. At any time, the PDE session can be saved to file. It is saved as a\n',...
'   Model M-file. The session can be restarted at any time by entering ',...
'the name\n',...
'   of the Model M-file at the MATLAB prompt.\n',...
'\n',...
'For further information, see the Partial Differential Equation Toolbox\n',...
'User''s Guide.\n']);

